libvisio::VSDRelQuadBezTo Class Reference documentation

Public Member Functions | Public Attributes | List of all members
libvisio::VSDRelQuadBezTo Class Reference
Inheritance diagram for libvisio::VSDRelQuadBezTo:

## Public Member Functions
| VSDRelQuadBezTo (unsigned id, unsigned level, const boost::optional< double > &x, const boost::optional< double > &y, const boost::optional< double > &a, const boost::optional< double > &b)
virtual | ~VSDRelQuadBezTo ()
void | handle (VSDCollector *collector) const
VSDGeometryListElement * | clone ()
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes
double | m_x
double | m_y
double | m_a
double | m_b

## Additional Inherited Members
Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## § VSDRelQuadBezTo()

libvisio::VSDRelQuadBezTo::VSDRelQuadBezTo | ( | unsigned | id,
|  | unsigned | level,
|  | const boost::optional< double > & | x,
|  | const boost::optional< double > & | y,
|  | const boost::optional< double > & | a,
|  | const boost::optional< double > & | b
| ) |  |
| inline

## § ~VSDRelQuadBezTo()

virtual libvisio::VSDRelQuadBezTo::~VSDRelQuadBezTo | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## § clone()

libvisio::VSDGeometryListElement * libvisio::VSDRelQuadBezTo::clone | ( |  | ) |
| virtual

Implements libvisio::VSDGeometryListElement.

## § handle()

void libvisio::VSDRelQuadBezTo::handle | ( | VSDCollector * | collector | ) | const
| virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## § m_a

double libvisio::VSDRelQuadBezTo::m_a

Referenced by libvisio::VSDGeometryList::addRelQuadBezTo().

## § m_b

double libvisio::VSDRelQuadBezTo::m_b

Referenced by libvisio::VSDGeometryList::addRelQuadBezTo().

## § m_x

double libvisio::VSDRelQuadBezTo::m_x

Referenced by libvisio::VSDGeometryList::addRelQuadBezTo().

## § m_y

double libvisio::VSDRelQuadBezTo::m_y

Referenced by libvisio::VSDGeometryList::addRelQuadBezTo().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp